package ds4eti2018_1S.modele;

import java.awt.Color;
import java.util.ArrayList;

public class Info extends Case {
	private int nbMines = 0;
	public Info(){super();}
	
	public Info(int x, int y) {super(x, y, Color.blue);}

	@Override
	public Object clone() {return new Info(getX(),getY());}

	@Override
	public boolean processAction(ArrayList<ArrayList<Case>> cases) {
		nbMines =0;
		setVisible(true);
		//colonne
		for(ArrayList<Case>al:cases){
			if(al.get(getY()) instanceof Mine){nbMines++;}
		}
		for(Case c:cases.get(getX())){
			if(c instanceof Mine){nbMines++;}
		}
		return false;
	}
	
	public String toString(){
		String ret = ""+nbMines;
		if(!isVisible()){ret=super.toString();}
		return ret;
	}
}
