package ds4eti2018_1S.modele;

import java.awt.Color;
import java.awt.Point;
import java.util.ArrayList;

public abstract class Case implements Cloneable{
	private Point coord;
	private boolean visible = false;
	private Color couleur;

	public Case(){this(0,0, Color.black);}
	
	public Case(int x, int y, Color couleur){
		coord = new Point(x,y);
		this.couleur=couleur;
	}
	
	protected int getX(){return coord.x;}
	protected int getY(){return coord.y;}	

	
	public Color getCouleur() {return couleur;}
	public boolean isVisible() {return visible;}
	public void setVisible(boolean visible) {this.visible = visible;}
	
	public void setCase(int x, int y){
		if(Plateau.longueur>x && Plateau.largeur>y){coord = new Point(x, y);}
		else{coord = new Point(0,0);}
	}
	
	public String toString(){
		String ret = "?";
		if(visible){ret = getClass().getSimpleName().substring(0, 1);}
		return ret;
	}
	
	public abstract Object clone();
	
	public abstract  boolean processAction(ArrayList<ArrayList<Case>> cases);
}
