package ds4eti2018_1S.modele;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.Map;
import java.util.Map.Entry;

public class Plateau {

	public static final int MIN_COL = 5;
	public static final int MIN_LIGNE = 5;
	public static final int MAX_COL = 20;
	public static final int MAX_LIGNE = 20;
	public static final int DEFAULT_COL = 8;
	public static final int DEAULT_LIGNE = 8;
	
	private ArrayList<ArrayList<Case>> cases = new ArrayList<ArrayList<Case>>();

	public static int longueur=8;
	public static int largeur=8;
	
	
	public Plateau(){init();}
	
	public Plateau(int x, int y){
		Plateau.longueur = x;
		Plateau.largeur = y;
		init();
	}


	public ArrayList<ArrayList<Case>> getCases() {return cases;}

	private void init() {
		for (int i=0;i<Plateau.longueur;i++){
			ArrayList<Case> al = new ArrayList<Case>();
			for(int j=0;j<Plateau.largeur;j++){
				al.add(tirage(i,j));
			}
			cases.add(al);
		}		
	}
	
	private Case tirage(int x, int y){
		Case ret = null;
		int alea = (int)(Math.random()*100);
		boolean trouve = false;
		Iterator<Entry<Case, Integer>> it = Jeu.stats.entrySet().iterator();
	    while (!trouve && it.hasNext()) {
	        Map.Entry<Case, Integer> entry = (Map.Entry<Case, Integer>)it.next();
	        if(entry.getValue().intValue()>alea){
	        	ret = (Case) entry.getKey().clone();
	        	ret.setCase(x, y);
	        	trouve = true;
	        }
	        //else{System.out.}
	    }
	    return ret;
	}
	
	public String toString(){
		String ret = "Plateau :\n";
		for(ArrayList<Case> ligne:cases){
			for(Case c:ligne){ret+=c+"\t|";}
			ret+="\n";
		}
		return ret;
	}
	
	public static void main(String [] ar){System.out.println(new Plateau(5,8));}
}
